### Virtual Method

# Ide SourceView set_mode

#### Declaration

    void
    set_mode (
      IdeSourceView* self,
      const gchar* mode,
      IdeSourceViewModeType type
    )

#### Description

No description available.

#### Parameters

`mode` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`type` | `IdeSourceViewModeType`
| No description available.